# 执行监控 (/zh/api-reference/endpoint/monitor-run)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 1090 · updated: 2026-07-30 -->
Related: [Search（搜索）](/zh/api-reference/endpoint/search.md), [搜索反馈](/zh/api-reference/endpoint/search-feedback.md), [Scrape](/zh/api-reference/endpoint/scrape.md), [批量抓取](/zh/api-reference/endpoint/batch-scrape.md), [获取批量抓取状态](/zh/api-reference/endpoint/batch-scrape-get.md), [取消批量抓取](/zh/api-reference/endpoint/batch-scrape-delete.md)



`POST /monitor/{monitorId}/run`

运行监控

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "监控 ID",
      "in": "path",
      "name": "monitorId",
      "required": true,
      "schema": {
        "format": "uuid",
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "data": {
                "properties": {
                  "actualCredits": {
                    "description": "此次检查最终收取的额度，将在 scrape、crawl 以及所有变更页面判断调用完成后确定。",
                    "nullable": true,
                    "type": "integer"
                  },
                  "billingStatus": {
                    "type": "string"
                  },
                  "createdAt": {
                    "format": "date-time",
                    "type": "string"
                  },
                  "error": {
                    "nullable": true,
                    "type": "string"
                  },
                  "estimatedCredits": {
                    "description": "在 Firecrawl 确定有多少页面发生变更并需要判断之前，为此次检查预留的额度上限。",
                    "nullable": true,
                    "type": "integer"
                  },
                  "finishedAt": {
                    "format": "date-time",
                    "nullable": true,
                    "type": "string"
                  },
                  "id": {
                    "format": "uuid",
                    "type": "string"
                  },
                  "monitorId": {
                    "format": "uuid",
                    "type": "string"
                  },
                  "notificationStatus": {
                    "nullable": true,
                    "type": "object"
                  },
                  "reservedCredits": {
                    "nullable": true,
                    "type": "integer"
                  },
                  "scheduledFor": {
                    "format": "date-time",
                    "nullable": true,
                    "type": "string"
                  },
                  "startedAt": {
                    "format": "date-time",
                    "nullable": true,
                    "type": "string"
                  },
                  "status": {
                    "enum": [
                      "queued",
                      "running",
                      "completed",
                      "failed",
                      "partial",
                      "skipped_overlap"
                    ],
                    "type": "string"
                  },
                  "summary": {
                    "properties": {
                      "changed": {
                        "type": "integer"
                      },
                      "error": {
                        "type": "integer"
                      },
                      "new": {
                        "type": "integer"
                      },
                      "removed": {
                        "type": "integer"
                      },
                      "same": {
                        "type": "integer"
                      },
                      "totalPages": {
                        "type": "integer"
                      }
                    },
                    "type": "object"
                  },
                  "targetResults": {
                    "nullable": true,
                    "type": "array"
                  },
                  "trigger": {
                    "enum": [
                      "scheduled",
                      "manual"
                    ],
                    "type": "string"
                  },
                  "updatedAt": {
                    "format": "date-time",
                    "type": "string"
                  }
                },
                "type": "object"
              },
              "id": {
                "format": "uuid",
                "type": "string"
              },
              "success": {
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "监控检查已加入队列"
    },
    "409": {
      "description": "已有监控检查正在运行"
    }
  }
}
```
